%define javaver %(echo %version | cut -d. -f1)
%define updver %(echo %version | cut -d_ -f2)
%define srcver %(echo %version | tr _ +)
%define srcdirver %(echo %version | tr _ -)
%define altver %(expr 60 + %javaver)
%define altverjdk %(expr 61 + %javaver)

# bootstrap with external binary java environment
%define        bootstrap          1

%define        archbuild         %{_target_cpu}

%ifarch %{ix86}
%define        archbuild         x86
%endif

%ifarch x86_64
%define        archbuild         x86_64
%endif

%ifarch arm
%define        archbuild         aarch32
%endif

%ifarch aarch64
%define        archbuild         aarch64
%endif

%define        buildoutputdir    build/linux-%{archbuild}-server-release/images

%define        javaprefix        %{_jvmdir}

%define        sdkdir            java-%{javaver}-openjdk-%{_arch}
%define        sdklnk            java-%{javaver}-openjdk-%{_arch}
%define        sdkbindir         %{_jvmdir}/%{sdklnk}/bin
%define        sdklibdir         %{_jvmdir}/%{sdklnk}/lib

%define        jredir            %{sdkdir}/jre
%define        jrelnk            jre-%{javaver}-openjdk-%{_arch}
%define        jrebindir         %{_jvmdir}/%{jrelnk}/bin

# Some bootstrap binary archives taken from: https://www.azul.com/downloads/zulu-community/?package=jdk
%if "%{?bootstrap}" == "1"
%ifarch x86_64
%define        bootopt         --with-boot-jdk=$HOME/zulu17.46.19-ca-jdk17.0.9-linux_x64
%endif
%ifarch %{ix86}
%define        bootopt         --with-boot-jdk=$HOME/zulu11.43.55-ca-jdk11.0.9.1-linux_i686
%endif
%ifarch arm
%define        bootopt         --with-boot-jdk=$HOME/zulu11.43.100-ca-jdk11.0.9.1-linux_aarch32sf
%endif
%ifarch aarch64
%define        bootopt         --with-boot-jdk=$HOME/zulu17.46.19-ca-jdk17.0.9-linux_aarch64
%endif
%endif

%define _jvmdir /usr/lib/jvm

Name:          java-openjdk17
Version:       17.0.10_2
Release:       1mamba
Summary:       OpenJDK Java %{javaver} environment
Group:         System/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://openjdk.org/projects/jdk-updates/
Source:        https://github.com/openjdk/jdk%{javaver}u/archive/refs/tags/jdk-%{srcver}.tar.gz
Source1:       freedesktop-java.desktop
Source2:       freedesktop-jconsole.desktop
Source3:       freedesktop-jshell.desktop
License:       GPL (with exceptions)
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXrender-devel
BuildRequires: libXtst-devel
BuildRequires: libalsa-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgif-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms2-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
#BuildRequires: apache-ant
#BuildRequires: apache-ant-nodeps
BuildRequires: binutils
BuildRequires: bison
BuildRequires: ca-certificates
BuildRequires: coreutils
BuildRequires: debianutils
#BuildRequires: desktop-file-utils
BuildRequires: flex
BuildRequires: gawk
#BuildRequires: gdb
BuildRequires: ksh
BuildRequires: mercurial
BuildRequires: pkgconfig
BuildRequires: sed
BuildRequires: tar
BuildRequires: util-linux-ng
BuildRequires: unzip
BuildRequires: wget
BuildRequires: xorg-proto-devel
BuildRequires: zip
BuildRequires: ca-certificates
BuildRequires: jpackage-utils
#BuildRequires: tzdata-java
BuildRequires: libnss-devel
BuildRequires: llvm-devel
#BuildRequires: lsb-core
%if "%{?bootstrap}" != "1"
BuildRequires: java-environment >= 10
%endif
%if "%{stage1}" == "1"
BuildRequires: eclipse-ecj
%endif
#BuildRequires: java-rhino
#BuildRequires: xalan-j2
#BuildRequires: xerces-j2
#BuildRequires: xml-commons-apis
%ifarch arm
BuildRequires: libatomic-devel
%endif
Requires:      %{name}-runtime = %{?epoch:%epoch:}%{version}-%{release}
Requires:      menu-java
Provides:      java-devel = %{javaver}
Provides:      java-sdk = %{javaver}
Provides:      %{_bindir}/javac
Provides:      %{_bindir}/jar
Provides:      %{_bindir}/jarsigner
Provides:      %{_bindir}/javadoc
Provides:      %{_bindir}/javap
Provides:      %{_bindir}/jconsole
Provides:      %{_bindir}/jdb
Provides:      %{_bindir}/jinfo
Provides:      %{_bindir}/jmap
Provides:      %{_bindir}/jps
Provides:      %{_bindir}/jrunscript
Provides:      %{_bindir}/jstack
Provides:      %{_bindir}/jstat
Provides:      %{_bindir}/jstatd
Provides:      %{_bindir}/rmic
Provides:      %{_bindir}/serialver
Provides:      java-environment = %{javaver}
Provides:      java-environment-openjdk = %{javaver}
#Provides:      java-openjdk = %{javaver}
#Provides:      java-openjdk
#Obsoletes:     java-openjdk
Provides:      sun-java

%description
OpenJDK Java %{javaver} environment.

%package headless
Summary:       OpenJDK Java %{javaver} headless runtime environment
Group:         System/Libraries/Java
Requires:      ca-certificates
Requires:      jpackage-utils
Provides:      java-runtime-headless = %{javaver}
Provides:      java-runtime-headless-openjdk = %{javaver}
Provides:      %{_bindir}/java
Provides:      %{_bindir}/keytool
Provides:      %{_bindir}/pack200
Provides:      %{_bindir}/rmid
Provides:      %{_bindir}/rmiregistry
Provides:      %{_bindir}/unpack200 

%description headless
OpenJDK Java %{javaver} headless runtime environment

%package runtime
Summary:       OpenJDK Java %{javaver} runtime environment
Group:         System/Libraries/Java
Requires:      dejavu-lgc-fonts-ttf
Requires:      baekmuk-ttf-fonts
Requires:      sazanami-fonts
Requires:      cjkuni-ukai-ttf-fonts
Requires:      cjkuni-uming-ttf-fonts
Requires:      jpackage-utils
#Requires:      java-rhino
Requires:      menu-java
#Requires:      openssl
#Requires:      tzdata-java
Provides:      java-runtime = %{javaver}
Provides:      java-runtime-openjdk = %{javaver}
Requires:      %{name}-headless = %{?epoch:%epoch:}%{version}-%{release}
#Provides:      java-openjdk-runtime = %{javaver}
#Provides:      java-openjdk-runtime
#Obsoletes:     java-openjdk-runtime

%description runtime
OpenJDK Java %{javaver} runtime environment

%package demo
Summary:       OpenJDK Java %{javaver} demos
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description demo
OpenJDK Java %{javaver} demos.

%package src
Summary:       OpenJDK Java %{javaver} source bundle
Group:         Development/Languages
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      java-src = %{javaver}

%description src
OpenJDK Java %{javaver} source bundle.

%package javadoc
Summary:       OpenJDK Java %{javaver} API documentation
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      java-javadoc = %{javaver}

%description javadoc
OpenJDK Java %{javaver} API documentation.

# Don't clean build at the end
%global __spec_rmbuild_cmd /bin/true

%prep
%setup -q -n jdk%{javaver}u-jdk-%{srcdirver}
#-D -T

%build
#:<< ___EOF
#if [[ ${CARCH} = i686 ]]; then
#   echo "Removing '-fno-plt' from CFLAGS and CXXFLAGS to prevent build fail with this architecture"
#   _CFLAGS=${CFLAGS/-fno-plt/}
#   _CXXFLAGS=${CXXFLAGS/-fno-plt/}
# fi

bash configure \
    %{?bootopt} \
    --with-version-build="%{updver}" \
    --with-version-pre="" \
    --with-version-opt="" \
    --with-stdc++lib=dynamic \
    --with-extra-cflags="%{optflags} -fcommon" \
    --with-extra-cxxflags="%{optflags} -fcommon" \
    --with-extra-ldflags="" \
    --with-libjpeg=system \
    --with-giflib=system \
    --with-libpng=system \
    --with-lcms=system \
    --with-zlib=system \
    --with-harfbuzz=system \
    --with-jvm-features=zgc \
    --enable-unlimited-crypto \
    --disable-warnings-as-errors

make images legacy-jre-image docs


#find %{buildoutputdir} -iname '*.so' -exec chmod +x {} \;

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

pushd %{buildoutputdir}

# Install main files

# JRE
install -d -m 755 %{buildroot}%{_jvmdir}/%{sdkdir}
cp -a jre/{bin,lib} %{buildroot}%{_jvmdir}/%{sdkdir}
find %{buildroot} -type f | grep -v "\.debuginfo$" | sed "s|%{buildroot}||" > jre.fileslist
# workaround for permission error in next jdk copy of same files
chmod u+w %{buildroot}%{_jvmdir}/%{sdkdir}/lib/server/*.jsa

# Non headless
> nonheadless.fileslist
for f in libawt_xawt libjawt libjsound libsplashscreen; do
   grep ${f} jre.fileslist >> nonheadless.fileslist
done

# Headless
cat jre.fileslist | grep -v -x -f nonheadless.fileslist > headless.fileslist

# JDK
install -d -m 755 %{buildroot}%{_jvmdir}/%{sdkdir}
cp -a jdk/{bin,demo,include,lib} %{buildroot}%{_jvmdir}/%{sdkdir}
find %{buildroot} -type f | grep -v "\.debuginfo$" | sed "s|%{buildroot}||" | grep -v -x -f jre.fileslist > jdk.fileslist

# Install cacerts symlink.
rm -f %{buildroot}%{_jvmdir}/%{sdkdir}/lib/security/cacerts
ln -sf %{_sysconfdir}/pki/java/cacerts %{buildroot}%{_jvmdir}/%{sdkdir}/lib/security

# Conf
install -d -m755 %{buildroot}%{_sysconfdir}
cp -r jdk/conf %{buildroot}%{_sysconfdir}/%{name}
ln -s %{_sysconfdir}/%{name} %{buildroot}%{_jvmdir}/%{sdkdir}/conf

## Install JCE policy symlinks
#install -d -m 755 %{buildroot}%{_jvmprivdir}/java-%{java_version}-openjdk/jce/vanilla

## Install versionless symlinks.
#ln -sf %{jredir} %{buildroot}%{_jvmdir}/%{jrelnk}

# Install man pages.
install -d -m 755 %{buildroot}%{_mandir}/man1
cp jdk{,-man}.fileslist
cp headless{,-man}.fileslist
cd jdk
for manpage in man/man1/* ; do
   install -m 644 -p $manpage %{buildroot}%{_mandir}/man1/$(basename $manpage .1)-openjdk%{javaver}.1
   if [ -e ../jre/bin/$(basename $manpage .1) ]; then
      echo "%{_mandir}/man1/$(basename $manpage .1)-openjdk%{javaver}.1*" >> ../headless-man.fileslist
   else
      echo "%{_mandir}/man1/$(basename $manpage .1)-openjdk%{javaver}.1*" >> ../jdk-man.fileslist   
   fi
   #ln -s $(basename $manpage .1)-openjdk%{javaver}.1 %{buildroot}%{_mandir}/man1/$(basename $manpage)
done
#cd ../jre
#for manpage in man/man1/* ; do
#   install -m 644 -p $manpage %{buildroot}%{_mandir}/man1/$(basename $manpage .1)-openjdk%{javaver}.1
#   #ln -s $(basename $manpage .1)-openjdk%{javaver}.1 %{buildroot}%{_mandir}/man1/$(basename $manpage)
#done
cd ..
ln -s %{_mandir} %{buildroot}%{_jvmdir}/%{sdkdir}/man

# Install demos
cp -a jdk/demo %{buildroot}%{_jvmdir}/%{sdkdir}

## Install samples
#  rm -rf sample/rmi
#  sed -i "s|PATH=.*|PATH=%{jrebindir}|" bin/java-rmi.cgi
#  mkdir -p sample/rmi
#  cp bin/java-rmi.cgi sample/rmi
#  cp -a sample %{buildroot}%{_jvmdir}/%{sdkdir}
#  rm -rf %{buildroot}%{_jvmdir}/%{sdkdir}/bin/java-rmi.cgi
popd

# Install Javadoc documentation
install -d -m 755 %{buildroot}%{_javadocdir}
cp -a %{buildoutputdir}/docs %{buildroot}%{_javadocdir}/%{sdkdir}

# Install icons and desktop files
install -d -m 755 %{buildroot}%{_datadir}/{applications,pixmaps}

for s in 16 24 32 48; do
   install -D -m0644 src/java.desktop/unix/classes/sun/awt/X11/java-icon${s}.png \
      %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png
done

install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/java-openjdk%{javaver}.desktop
install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/applications/jconsole-openjdk%{javaver}.desktop
install -D -m0644 %{SOURCE3} %{buildroot}%{_datadir}/applications/jshell-openjdk%{javaver}.desktop
sed -i "s|@VER@|%{javaver}|g" %{buildroot}%{_datadir}/applications/*.desktop

# remove debuginfo files
find %{buildroot} -name *.debuginfo -exec rm -f {} \;

# fix library permissions
find %{buildroot} -iname '*.so' -exec chmod +x {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
# new install
  if ! echo ${PATH} | grep -q %{sdkbindir}; then
    export PATH="$PATH:%{sdkbindir}"
  fi
  for b in jar jarsigner javac javadoc javap jcmd jconsole jdb jdeprscan jdeps jhsdb jimage jinfo jlink jmap jmod jpackage \
      jps jshell jstack jstat jstatd serialver; do
    [ -L /usr/bin/$b -a "`readlink /usr/bin/$b`" != "/etc/alternatives/$b" ] && rm -f /usr/bin/$b
    /usr/sbin/update-alternatives --install %{_bindir}/$b $b %{sdkbindir}/$b %{altverjdk}
  done
# legacy
  /usr/sbin/update-alternatives --install %{javaprefix}/jdk jdk %{_jvmdir}/%{sdklnk} %{altverjdk}
# default
  /usr/sbin/update-alternatives --install %{javaprefix}/java-%{javaver}-openjdk jdk_%{javaver}_openjdk %{_jvmdir}/%{sdklnk} %{altverjdk}
# x eclipse
  /usr/sbin/update-alternatives --install %{javaprefix}/java-%{javaver} jdk_%{javaver} %{_jvmdir}/%{sdklnk} %{altverjdk}
  /usr/sbin/update-alternatives --install %{javaprefix}/java-openjdk jdk_openjdk %{_jvmdir}/%{sdklnk} %{altverjdk}
  /usr/sbin/update-alternatives --install %{javaprefix}/java jdk_java %{_jvmdir}/%{sdklnk} %{altverjdk}
fi
:

%preun
if [ $1 -eq 0 ]; then
  for b in jar jarsigner javac javadoc javap jcmd jconsole jdb jdeprscan jdeps jhsdb jimage jinfo jlink jmap jmod jpackage \
      jps jshell jstack jstat jstatd serialver; do
    /usr/sbin/update-alternatives --remove $b \
      %{sdkbindir}/$b
  done
  /usr/sbin/update-alternatives --remove jdk %{_jvmdir}/%{sdklnk}
  /usr/sbin/update-alternatives --remove jdk_%{javaver}_openjdk %{_jvmdir}/%{sdklnk}
  /usr/sbin/update-alternatives --remove jdk_java %{_jvmdir}/%{sdklnk}
  /usr/sbin/update-alternatives --remove jdk_openjdk %{_jvmdir}/%{sdklnk}
  /usr/sbin/update-alternatives --remove jdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi
:

%post headless
if [ $1 -ge 1 ]; then
  if ! echo ${PATH} | grep -q %{sdkbindir}; then
    export PATH="$PATH:%{sdkbindir}"
  fi

  for b in java jfr jrunscript keytool rmiregistry; do
    /usr/sbin/update-alternatives --install %{_bindir}/$b $b %{sdkbindir}/$b %{altver}
  done
  /usr/sbin/update-alternatives --install %{javaprefix}/jre jre %{_jvmdir}/%{sdklnk} %{altver}
  /usr/sbin/update-alternatives --install %{javaprefix}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{sdklnk} %{altver}
  /usr/sbin/update-alternatives --install %{javaprefix}/jre-%{javaver}-openjdk jre_%{javaver}_openjdk %{_jvmdir}/%{sdklnk} %{altver}
  /usr/sbin/update-alternatives --install %{javaprefix}/jre-openjdk jre_openjdk %{_jvmdir}/%{sdklnk} %{altver}
fi
:

%preun headless
if [ $1 -eq 0 ]; then
    for b in java jfr jrunscript keytool rmiregistry; do
      /usr/sbin/update-alternatives --remove $b %{sdkbindir}/$b
    done
   /usr/sbin/update-alternatives --remove jre %{_jvmdir}/%{sdklnk}
   /usr/sbin/update-alternatives --remove jre_openjdk %{_jvmdir}/%{sdklnk}
   /usr/sbin/update-alternatives --remove jre_%{javaver}_openjdk %{_jvmdir}/%{sdklnk}
   /usr/sbin/update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{sdklnk}
fi
:

%post runtime
# Update for jnlp handling.
update-desktop-database %{_datadir}/applications &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%postun runtime
# Update for jnlp handling.
update-desktop-database %{_datadir}/applications &> /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi
:

%post javadoc
/usr/sbin/update-alternatives --install %{_javadocdir}/java javadocdir%{javaver}-openjdk %{_javadocdir}/%{sdkdir}/api %{altver}
:

%files -f %{buildoutputdir}/jdk-man.fileslist
%defattr(-,root,root)
%{_datadir}/applications/java-openjdk%{javaver}.desktop
%{_datadir}/applications/jconsole-openjdk%{javaver}.desktop
%{_datadir}/applications/jshell-openjdk%{javaver}.desktop
%{_datadir}/icons/hicolor/*/apps/java-openjdk%{javaver}.png
%exclude %{_jvmdir}/%{sdkdir}/demo

%files headless -f %{buildoutputdir}/headless-man.fileslist
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/logging.properties
%dir %{_sysconfdir}/%{name}/sdp
%{_sysconfdir}/%{name}/sdp/sdp.conf.template
%dir %{_sysconfdir}/%{name}/management
%config(noreplace) %{_sysconfdir}/%{name}/management/jmxremote.access
%{_sysconfdir}/%{name}/management/jmxremote.password.template
%config(noreplace) %{_sysconfdir}/%{name}/management/management.properties
%config(noreplace) %{_sysconfdir}/%{name}/net.properties
%config(noreplace) %{_sysconfdir}/%{name}/sound.properties
%dir %{_sysconfdir}/%{name}/security
%config(noreplace) %{_sysconfdir}/%{name}/security/java.policy
%config(noreplace) %{_sysconfdir}/%{name}/security/java.security
%dir %{_sysconfdir}/%{name}/security/policy
%{_sysconfdir}/%{name}/security/policy/README.txt
%dir %{_sysconfdir}/%{name}/security/policy/limited
%{_sysconfdir}/%{name}/security/policy/limited/default_US_export.policy
%{_sysconfdir}/%{name}/security/policy/limited/default_local.policy
%{_sysconfdir}/%{name}/security/policy/limited/exempt_local.policy
%dir %{_sysconfdir}/%{name}/security/policy/unlimited
%{_sysconfdir}/%{name}/security/policy/unlimited/default_US_export.policy
%{_sysconfdir}/%{name}/security/policy/unlimited/default_local.policy
%{_jvmdir}/%{sdklnk}/conf
%{_jvmdir}/%{sdklnk}/man
%doc LICENSE ADDITIONAL_LICENSE_INFO ASSEMBLY_EXCEPTION

%files runtime -f %{buildoutputdir}/nonheadless.fileslist
%defattr(-,root,root)

%files demo
%defattr(-,root,root)
%{_jvmdir}/%{sdkdir}/demo
#%{_jvmdir}/%{sdkdir}/sample

%files src
%defattr(-,root,root)
%{_jvmdir}/%{sdkdir}/lib/src.zip

%files javadoc
%defattr(-,root,root)
%ifnarch arm
%doc %{_javadocdir}/%{sdkdir}
%endif
%ifarch arm
%doc %{_datadir}/javadoc/java-%{javaver}-openjdk-arm
%endif
#%doc README

%changelog
* Thu Nov 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 17.0.10_2-1mamba
- update to 17.0.10_2

* Wed Dec 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.14_6-1mamba
- update to 11.0.14_6

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.10_9-1mamba
- update to 11.0.10_9
- java-opendk11: give higher priority alternatives to binaries than jre

* Tue Dec 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.10_7-1mamba
- update to 11.0.10_7

* Sun Nov 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 11.0.8_10-1mamba
- update to 11.0.8_10

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 8u222b10_3.13.0-1mamba
- update to 8u222b10_3.13.0
- provide sun-java and sun-java-runtime to fix multiple requiring packages from old java builds

* Tue Jun 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 8u212b04_3.12.0-1mamba
- update to 8u212b04_3.12.0

* Sat Sep 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 8u171b11_3.8.0-1mamba
- update to 8u171b11_3.8.0

* Wed Nov 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 7u91_2.6.3-1mamba
- update to 7u91_2.6.3

* Wed Feb 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 7u75_2.5.4-1mamba
- update to 7u75_2.5.4

* Tue Feb 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.4_7u75-1mamba
- update to 2.5.4_7u75

* Sat Mar 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-29mamba
- icedtea6 update to 1.12.8

* Tue Jun 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0.28mamba
- icedtea6 update to 1.12.5
- openjdk update to 6.b27-26_oct_2012

* Mon Mar 14 2011 gil <puntogil@libero.it> 1.6.0-27mamba
- rebuilt after bootstrap
- removed java-openjdk-plugin sub package (now it is in icedtea-web-plugin sub package)

* Mon Mar 14 2011 gil <puntogil@libero.it> 1.6.0-26mamba
- bootstrap mode
- update to b22-28_feb_2011

* Tue Feb 22 2011 gil <puntogil@libero.it> 1.6.0-25mamba
- edit plugin scripts

* Wed Feb 16 2011 gil <puntogil@libero.it> 1.6.0-24mamba
- bootstrap mode
- rebuilt with icedtea 1.9.7

* Sat Feb 12 2011 gil <puntogil@libero.it> 1.6.0-23mamba
- rebuilt after bootstrap

* Sat Feb 12 2011 gil <puntogil@libero.it> 1.6.0-22mamba
- bootstrap mode
- built with xerces-j2 2.11.0 and xml-commons-apis 1.4.01 support (patch 7 applied)
- built with java-gcj-compat 1.0.80-20mamba support

* Thu Feb 10 2011 gil <puntogil@libero.it> 1.6.0-21mamba
- rebuilt with icedtea 1.9.6

* Tue Feb 01 2011 gil <puntogil@libero.it> 1.6.0-20mamba
- rebuilt with icedtea 1.9.5

* Fri Jan 21 2011 gil <puntogil@libero.it> 1.6.0-19mamba
- fixed some errors

* Thu Jan 20 2011 gil <puntogil@libero.it> 1.6.0-18mamba
- built with libjpeg-turbo 1.0.90 support

* Thu Jan 20 2011 gil <puntogil@libero.it> 1.6.0-17mamba
- fixed some errors

* Thu Jan 20 2011 gil <puntogil@libero.it> 1.6.0-16mamba
- rebuilt after bootstrap

* Wed Jan 19 2011 gil <puntogil@libero.it> 1.6.0-15mamba
- bootstrap mode
- built with icedtea 1.9.4 support
- built with java-gcj-compat 1.0.80-18mamba support

* Wed Jan 19 2011 gil <puntogil@libero.it> 1.6.0-14mamba
- add provides to javadoc sub package

* Sat Jan 15 2011 gil <puntogil@libero.it> 1.6.0-13mamba
- rebuilt after bootstrap

* Sat Jan 15 2011 gil <puntogil@libero.it> 1.6.0-12mamba
- update to b20-21_jun_2010
- bootstrap mode
- built with java-gcj-compat 1.0.80-17mamba

* Tue Jan 04 2011 gil <puntogil@libero.it> 1.6.0-11mamba
- remove libjpeg6b dep
- rebuilt with libjpeg-turbo support

* Mon Jan 03 2011 gil <puntogil@libero.it> 1.6.0-10mamba
- rebuilt after bootstrap

* Mon Jan 03 2011 gil <puntogil@libero.it> 1.6.0-9mamba
- rebuilt with new gcc 4.5.2 (bootstrap mode)
- rebuilt with java-gcj-compat 1.0.80-16mamba

* Sat Jan 01 2011 gil <puntogil@libero.it> 1.6.0-8mamba
- rebuilt after bootstrap

* Sat Jan 01 2011 gil <puntogil@libero.it> 1.6.0-7mamba
- rebuilt coreutils 8.8-2mamba support
- edit spec file
- bootstrap mode

* Wed Dec 29 2010 gil <puntogil@libero.it> 1.6.0-6mamba
- rebuilt with dejavu-lgc-fonts-ttf support
- remove visualvm (is now in own package)

* Tue Dec 28 2010 gil <puntogil@libero.it> 1.6.0-5mamba
- update visualvm 1.3.1 and netbeans platform 6.9.1

* Tue Dec 28 2010 gil <puntogil@libero.it> 1.6.0-4mamba
- enable systemtap
- enable visualvm

* Tue Dec 28 2010 gil <puntogil@libero.it> 1.6.0-3mamba
- rebuilt after bootstrap

* Mon Dec 27 2010 gil <puntogil@libero.it> 1.6.0-2mamba
- update to b18-16_feb_2010
- bootstrap

* Wed Jun 23 2010 gil <puntogil@libero.it> 1.6.0-1mamba
- bootstrap
- add tzdata-java support
